org.eclipse.oomph.p2.core

## Interface ProfileTransaction

-     public interface ProfileTransaction

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ProfileTransaction.CommitContext` Customizes the resolution and commit process of a `profile transaction`.
    `static interface` | `ProfileTransaction.Resolution`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `commit()`
    `boolean` | `commit(IProgressMonitor monitor)`
    `boolean` | `commit(ProfileTransaction.CommitContext commitContext, IProgressMonitor monitor)`
    `String` | `getInstallableUnitProperty(IInstallableUnit iu, String key)`
    `Profile` | `getProfile()`
    `ProfileDefinition` | `getProfileDefinition()`
    `String` | `getProfileProperty(String key)`
    `boolean` | `isDirty()`
    `boolean` | `isMirrors()`
    `boolean` | `isRemoveExistingInstallableUnits()`
    `ProfileTransaction` | `removeInstallableUnitProperty(IInstallableUnit iu, String key)`
    `ProfileTransaction` | `removeProfileProperty(String key)`
    `ProfileTransaction.Resolution` | `resolve(ProfileTransaction.CommitContext commitContext, IProgressMonitor monitor)`
    `ProfileTransaction` | `setInstallableUnitProperty(IInstallableUnit iu, String key, String value)`
    `ProfileTransaction` | `setMirrors(boolean mirrors)`
    `ProfileTransaction` | `setProfileProperty(String key, String value)`
    `ProfileTransaction` | `setRemoveExistingInstallableUnits(boolean removeAll)`

- - ### Method Detail

    - #### getProfile

          Profile getProfile()

    - #### getProfileDefinition

          ProfileDefinition getProfileDefinition()

    - #### getProfileProperty

          String getProfileProperty(String key)

    - #### setProfileProperty

          ProfileTransaction setProfileProperty(String key,
                                              String value)

    - #### removeProfileProperty

          ProfileTransaction removeProfileProperty(String key)

    - #### getInstallableUnitProperty

          String getInstallableUnitProperty(IInstallableUnit iu,
                                          String key)

    - #### setInstallableUnitProperty

          ProfileTransaction setInstallableUnitProperty(IInstallableUnit iu,
                                                      String key,
                                                      String value)

    - #### removeInstallableUnitProperty

          ProfileTransaction removeInstallableUnitProperty(IInstallableUnit iu,
                                                         String key)

    - #### isRemoveExistingInstallableUnits

          boolean isRemoveExistingInstallableUnits()

    - #### setRemoveExistingInstallableUnits

          ProfileTransaction setRemoveExistingInstallableUnits(boolean removeAll)

    - #### isMirrors

          boolean isMirrors()

    - #### setMirrors

          ProfileTransaction setMirrors(boolean mirrors)

    - #### isDirty

          boolean isDirty()

    - #### commit

          boolean commit()
                         throws CoreException

      Throws:
        `CoreException`

    - #### commit

          boolean commit(IProgressMonitor monitor)
                         throws CoreException

      Throws:
        `CoreException`

    - #### commit

          boolean commit(ProfileTransaction.CommitContext commitContext,
                       IProgressMonitor monitor)
                         throws CoreException

      Throws:
        `CoreException`

    - #### resolve

          ProfileTransaction.Resolution resolve(ProfileTransaction.CommitContext commitContext,
                                              IProgressMonitor monitor)
                                                throws CoreException

      Throws:
        `CoreException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html